Chained-CI hands on training
============================

Role
----
Chained-CI is a way to run a set of projects, each one as a job in a top level
pipeline.

This project, running on gitlab CE, is triggering configured projects one
after the other, or in parallele, sharing configuration through artifacts. This
allow to integrate projects managed by third parties, or running together
independent projects.

___This project is hosting the pipelines and the pipeline configuration.
See https://gitlab.com/Orange-OpenSource/lfn/ci_cd/chained-ci-roles to see the
roles needed to run thoses pipelines___

To discover the main features of chained-ci, follows this proposed
[hands-on](./chained-ci-handson.md)  

Input
-----
  - Environment variables:
    - __Required__:
      - ANSIBLE_VAULT_PASSWORD:
        - role: read project triggers
        - example: abcdefghijklmnopqrstuvwxyz
      - POD:
        - role: pod name as defined in pod_inventory/inventory
        - example: example1
        - default: none
    - Optional:
      - AREYOUSURE:
        - role: disable the deployment protection on some pods
        - default: ''
        - values: '' or 'MAIS OUI !!!'
      - ansible_verbose:
          - role: verbose option for ansible
          - values: "", "-vvv"
          - default: ""
      - config_branch:
          - role: the branch for config
          - default: master
      - dummy_branch:
          - role: the branch for dummy project
          - default: master
      - dummy2_branch:
          - role: the branch for dummy2 project
          - default: master  

Output
------  
  - artifacts: each step can fetch the artifact generated by the sub-project as
      defined in the git_projects variables pull_artifacts
